import makeRequest from "@root/api/makeRequest";

import { parseAxiosError } from "@root/utils/parse-error";

const API_URL = `${process.env.REACT_APP_DOMAIN}/squiz/quiz`;

type MoveQuizBody = {
	Qid: string;
	AccountID: string;
};

export const moveQuiz = async (quizId: string, userId: string): Promise<[string | null, string?]> => {
	try {
		const moveResponse = await makeRequest<MoveQuizBody, string>({
			method: "POST",
			url: `${API_URL}/move`,
			body: { Qid: quizId, AccountID: userId },
		});

		return [moveResponse];
	} catch (nativeError) {
		const [error] = parseAxiosError(nativeError);

		return [null, `Ошибка перемещения квиза. ${error}`];
	}
};
