import React from "react";
import { Box, Typography } from "@mui/material";

type ArticleProps = {
	header: JSX.Element;
	body: JSX.Element;
	isBoby?: boolean;
};

export const Article = ({ header, body, isBoby = false }: ArticleProps) => {
	return (
		<Box component="section">
			<Box>
				<Typography variant="h1">{header}</Typography>
			</Box>
			{isBoby ? <Box>{body}</Box> : <React.Fragment />}
		</Box>
	);
};
