import { Tooltip, Typography } from "@mui/material";
import { Discount, findDiscountFactor } from "@frontend/kitui";
import { formatDiscountFactor } from "@root/utils/formatDiscountFactor";

interface Props {
	discount: Discount;
}

export function DiscountTooltip({ discount }: Props) {
	const discountText = formatDiscountFactor(findDiscountFactor(discount));

	return discountText ? (
		<Tooltip
			title={
				<>
					<Typography>Слой: {discount.Layer}</Typography>
					<Typography>Название: {discount.Name}</Typography>
					<Typography>Описание: {discount.Description}</Typography>
				</>
			}
		>
			<span>{discountText}</span>
		</Tooltip>
	) : (
		<span>Ошибка поиска значения скидки</span>
	);
}
