import { useToken } from "@frontend/kitui";
import * as React from "react";
import { useLocation, Navigate } from "react-router-dom";

interface Props {
	children: JSX.Element;
}

export default function PrivateRoute({ children }: Props) {
	const token = useToken();
	const location = useLocation();
	//Если пользователь авторизован, перенаправляем его на нужный путь. Иначе выкидываем в регистрацию
	if (token) {
		return children;
	}
	return <Navigate to="/" state={{ from: location }} />;
}
