import { useLocation, Navigate } from "react-router-dom";

import { useToken } from "@frontend/kitui";

interface Props {
	children: JSX.Element;
}

const PublicRoute = ({ children }: Props) => {
	const location = useLocation();
	const token = useToken();

	if (token) {
		return <Navigate to="/users" state={{ from: location }} />;
	}

	return children;
};

export default PublicRoute;
