export type CreatePromocodeBody = {
	codeword: string;
	description: string;
	greetings: string;
	dueTo: number;
	activationCount: number;
	bonus: {
		privilege: {
			privilegeID: string;
			amount: number;
			serviceKey: string;
		};
		discount: {
			layer: number;
			factor: number;
			target: string;
			threshold: number;
		};
	};
};

export type GetPromocodeListBody = {
	page: number;
	limit: number;
	filter: {
		active: boolean;
		text?: string;
	};
};

export type Promocode = CreatePromocodeBody & {
	id: string;
	dueTo: number;
	activationLimit: number;
	outdated: boolean;
	offLimit: boolean;
	delete: boolean;
	createdAt: string;
	fastLinks: string[];
};

export type PromocodeList = {
	count: number;
	items: Promocode[];
};

export type PromocodeStatistics = {
	id: string;
	usageCount: number;
	usageMap: Record<string, number>;
};

export type EditPromocodeBody = {
  id: string,
  description: string,
  greetings: string,
  dueTo: number,
  activationCount: number,
  delete: boolean

}
