import { Privilege } from "@frontend/kitui";

export const SERVICE_LIST = [
	{
		serviceKey: "templategen",
		displayName: "Шаблонизатор документов",
	},
	{
		serviceKey: "squiz",
		displayName: "Опросник",
	},
	{
		serviceKey: "dwarfener",
		displayName: "Аналитика сокращателя",
	},
] as const;

export type ServiceType = (typeof SERVICE_LIST)[number]["serviceKey"];

export type PrivilegeType = "unlim" | "gencount" | "activequiz" | "abcount" | "extended";

export type EditTariffRequestBody = {
	description: string;
	name: string;
	order: number;
	price: number;
	isCustom: boolean;
	privileges: Omit<Privilege, "_id" | "updatedAt">[];
};
