export interface CreateTicketRequest {
	Title: string;
	Message: string;
}

export interface CreateTicketResponse {
	Ticket: string;
}

export interface SendTicketMessageRequest {
	message: string;
	ticket: string;
	lang: string;
	files: string[];
}

export type TicketStatus = "open";

export interface Ticket {
	id: string;
	user: string;
	sess: string;
	ans: string;
	state: string;
	top_message: TicketMessage;
	title: string;
	created_at: string;
	updated_at: string;
	system?: boolean;
	rate: number;
}

export interface TicketMessage {
	id: string;
	ticket_id: string;
	user_id: string;
	session_id: string;
	message: string;
	files: string[];
	shown: { [key: string]: number };
	request_screenshot: string;
	created_at: string;
}
