import * as React from "react";
import { Box, Button, Typography } from "@mui/material";
import { ThemeProvider } from "@mui/material";
import theme from "../../theme";
import CssBaseline from "@mui/material/CssBaseline";
import { Link } from "react-router-dom";

const Error404: React.FC = () => {
	return (
		<React.Fragment>
			<ThemeProvider theme={theme}>
				<CssBaseline />
				<Box
					sx={{
						backgroundColor: theme.palette.primary.main,
						color: theme.palette.secondary.main,
						height: "100%",
					}}
				>
					<Box
						sx={{
							width: "100vw",
							height: "100vh",
							display: "flex",
							flexDirection: "column",
							justifyContent: "center",
							alignItems: "center",
						}}
					>
						<Box
							sx={{
								width: "150px",
								height: "120px",
								display: "flex",
								flexDirection: "row",
							}}
						>
							<Typography
								sx={{
									fontSize: "80px",
								}}
							>
								4
							</Typography>
							<Typography
								sx={{
									color: theme.palette.golden.main,
									fontSize: "80px",
								}}
							>
								0
							</Typography>
							<Typography
								sx={{
									fontSize: "80px",
								}}
							>
								4
							</Typography>
						</Box>
						<Box>
							<Link to="/users">
								<Button>На главную</Button>
							</Link>
						</Box>
					</Box>
				</Box>
			</ThemeProvider>
		</React.Fragment>
	);
};

export default Error404;
