import { useEffect } from "react";

import { usePrivilegeStore } from "@root/stores/privilegesStore";
import { requestPrivileges } from "@root/services/privilegies.service";

import { СardPrivilege } from "./CardPrivilegie";

export default function ListPrivilege() {
	const privileges = usePrivilegeStore((state) => state.privileges);

	useEffect(() => {
		requestPrivileges();
	}, []);

	return (
		<>
			{privileges.map((privilege) => (
				<СardPrivilege key={privilege._id} privilege={privilege} />
			))}
		</>
	);
}
