import {
	AccordionDetails,
	Table,
	TableBody,
	TableCell,
	TableHead,
	TableRow,
	Typography,
	useMediaQuery,
	useTheme,
} from "@mui/material";

import { CustomWrapper } from "@root/kitUI/CustomWrapper";

import FormDeleteRoles from "./FormDeleteRoles";
import FormCreateRoles from "./FormCreateRoles";
import { PrivilegesWrapper } from "./PrivilegiesWrapper";

import theme from "../../theme";

export const SettingRoles = (): JSX.Element => {
	const theme = useTheme();
	const mobile = useMediaQuery(theme.breakpoints.down(600));
	return (
		<AccordionDetails sx={{ maxWidth: "890px", width: "100%" }}>
			<CustomWrapper
				text="Роли"
				children={
					<>
						<Table
							sx={{
								maxWidth: "890px",
								width: "100%",
								border: "2px solid",
								borderColor: "gray",
							}}
							aria-label="simple table"
						>
							<TableHead>
								<TableRow
									sx={{
										borderBottom: "2px solid",
										borderColor: theme.palette.grayLight.main,
										height: "100px",
									}}
								>
									<TableCell>
										<Typography
											variant="h4"
											sx={{
												color: theme.palette.secondary.main,
											}}
										>
											Настройки ролей
										</Typography>
									</TableCell>
								</TableRow>
							</TableHead>

							<TableBody>
								<TableRow
									sx={{
										p: "5px",
										display: "flex",
										alignItems: "center",
										borderTop: "2px solid",
										borderColor: theme.palette.grayLight.main,
										height: mobile ? undefined : "100px",
										cursor: "pointer",
										flexDirection: mobile ? "column" : "row",
										gap: "5px",
									}}
								>
									<FormCreateRoles />
								</TableRow>
							</TableBody>
						</Table>
						<Table
							sx={{
								mt: "30px",
								maxWidth: "890px",
								width: "100%",
								border: "2px solid",
								borderColor: "gray",
							}}
							aria-label="simple table"
						>
							<TableHead>
								<TableRow
									sx={{
										borderBottom: "2px solid",
										borderColor: theme.palette.grayLight.main,
										height: "100px",
									}}
								>
									<TableCell>
										<Typography
											variant="h4"
											sx={{
												color: theme.palette.secondary.main,
											}}
										>
											Удаление ролей
										</Typography>
									</TableCell>
								</TableRow>
							</TableHead>

							<TableBody>
								<TableRow
									sx={{
										p: "5px",
										display: "flex",
										alignItems: "center",
										borderTop: "2px solid",
										borderColor: theme.palette.grayLight.main,
										height: mobile ? undefined : "100px",
										cursor: "pointer",
										flexDirection: mobile ? "column" : "row",
										gap: "5px",
									}}
								>
									<FormDeleteRoles />
								</TableRow>
							</TableBody>
						</Table>
					</>
				}
			/>

			<PrivilegesWrapper text="Привилегии" sx={{ mt: "50px", maxWidth: "890px", width: "100%" }} />
		</AccordionDetails>
	);
};
