import { Typography, useTheme } from "@mui/material";
import { LocalizationProvider } from "@mui/x-date-pickers/LocalizationProvider";
import { AdapterDayjs } from "@mui/x-date-pickers/AdapterDayjs";
import DiscountDataGrid from "./DiscountDataGrid";
import CreateDiscount from "./CreateDiscount";
import EditDiscountDialog from "./EditDiscountDialog";
import ControlPanel from "./ControlPanel";
import { useState } from "react";
import { GridSelectionModel } from "@mui/x-data-grid";

const DiscountManagement: React.FC = () => {
	const theme = useTheme();
	const [selectedRows, setSelectedRows] = useState<GridSelectionModel>([]);
	const selectedRowsHC = (array: GridSelectionModel) => {
		setSelectedRows(array);
	};

	return (
		<LocalizationProvider dateAdapter={AdapterDayjs}>
			<Typography
				variant="subtitle1"
				sx={{
					width: "90%",
					height: "60px",
					display: "flex",
					flexDirection: "column",
					justifyContent: "center",
					alignItems: "center",
					color: theme.palette.secondary.main,
				}}
			>
				СКИДКИ
			</Typography>
			<CreateDiscount />
			<DiscountDataGrid selectedRowsHC={selectedRowsHC} />
			<EditDiscountDialog />
			<ControlPanel selectedRows={selectedRows} />
		</LocalizationProvider>
	);
};

export default DiscountManagement;
