import * as React from "react";
import Box from "@mui/material/Box";
import Modal from "@mui/material/Modal";
import Button from "@mui/material/Button";
import { Typography } from "@mui/material";

const style = {
	position: "absolute" as const,
	top: "50%",
	left: "50%",
	transform: "translate(-50%, -50%)",
	width: 400,
	bgcolor: "#c1c1c1",
	border: "2px solid #000",
	boxShadow: 24,
	pt: 2,
	px: 4,
	pb: 3,
};

interface Props {
	id: string;
	setModal: (id: string) => void;
	deletePromocode: (id: string) => Promise<void>;
}

export default function ({ id, setModal, deletePromocode }: Props) {
	return (
		<Modal open={Boolean(id)} onClose={() => setModal("")}>
			<Box sx={{ ...style, width: 400 }}>
				<Typography variant="h5" textAlign="center">
					Точно удалить промокод?
				</Typography>
				<Box
					sx={{
						display: "flex",
						justifyContent: "space-evenly",
						mt: "15px",
					}}
				>
					<Button
						onClick={() => {
							deletePromocode(id);
							setModal("");
						}}
					>
						Да
					</Button>
					<Button onClick={() => setModal("")}>Нет</Button>
				</Box>
			</Box>
		</Modal>
	);
}
