import { Button, SxProps, Theme, useTheme } from "@mui/material";
import { MouseEventHandler, ReactNode } from "react";

interface Props {
	onClick?: MouseEventHandler<HTMLButtonElement>;
	children: ReactNode;
	sx?: SxProps<Theme>;
}

export default function CustomButton({ onClick, children, sx }: Props) {
	const theme = useTheme();

	return (
		<Button
			variant="contained"
			onClick={onClick}
			sx={{
				backgroundColor: theme.palette.menu.main,
				padding: "11px 25px",
				fontWeight: "normal",
				fontSize: "17px",
				"&:hover": {
					backgroundColor: theme.palette.grayMedium.main,
				},
				...sx,
			}}
		>
			{children}
		</Button>
	);
}
