import { Typography, useTheme } from "@mui/material";
import { ReactNode } from "react";

interface Props {
	children: ReactNode;
}

export default function CustomHeader({ children }: Props) {
	const theme = useTheme();

	return (
		<Typography
			variant="subtitle1"
			sx={{
				width: "90%",
				height: "60px",
				display: "flex",
				flexDirection: "column",
				justifyContent: "center",
				alignItems: "center",
				color: theme.palette.secondary.main,
			}}
		>
			{children}
		</Typography>
	);
}
