import { useEffect } from "react";
import { Container, Typography } from "@mui/material";

import { requestTariffs } from "@root/services/tariffs.service";
import { requestPrivileges } from "@root/services/privilegies.service";

import CreateTariff from "./CreateTariff";
import Privileges from "./Privileges/Privileges";
import ChangePriceModal from "./Privileges/ChangePriceModal";
import TariffsInfo from "./TariffsInfo";

export default function Tariffs() {
	useEffect(() => {
		requestTariffs();
		requestPrivileges();
	}, []);

	return (
		<Container
			sx={{
				width: "90%",
				display: "flex",
				flexDirection: "column",
				justifyContent: "center",
				alignItems: "center",
			}}
		>
			<Typography variant="h6">Список привилегий</Typography>
			<Privileges />
			<ChangePriceModal />
			<CreateTariff />
			<TariffsInfo />
		</Container>
	);
}
