import { Box, Button, TextField, Typography } from "@mui/material";
import { ChangeEvent, useState } from "react";
import { moveQuiz } from "@root/api/quiz";

type QuizTabProps = {
	userId: string;
};

export default function QuizTab({ userId }: QuizTabProps) {
	const [quizId, setQuizId] = useState<string>("");
	return (
		<Box sx={{ padding: "25px" }}>
			<Typography
				sx={{
					marginBottom: "10px",
					fontWeight: "bold",
				}}
			>
				Передача Квиза
			</Typography>
			<Box sx={{ display: "flex", gap: "15px" }}>
				<TextField
					placeholder={"Ссылка на квиз"}
					onChange={(event: ChangeEvent<HTMLTextAreaElement>) => {
						setQuizId(event.target.value.split("link/")[1]);
					}}
				/>
				<Button variant="text" sx={{ background: "#9A9AAF" }} onClick={() => moveQuiz(quizId, userId)}>
					Ок
				</Button>
			</Box>
		</Box>
	);
}
