import { setDiscounts } from "@root/stores/discounts";

import { requestDiscounts as requestDiscountsRequest } from "@root/api/discounts/requests";
import type { Discount } from "@frontend/kitui";

const filterDiscounts = (discounts: Discount[]) => {
	const activeDiscounts = discounts.filter((discount) => !discount.Deprecated);

	setDiscounts(activeDiscounts);
};

export const requestDiscounts = async (): Promise<Discount[]> => {
	const [discounts, discountsError] = await requestDiscountsRequest();

	if (discountsError) {
		console.error(discountsError);

		return [];
	}

	if (discounts) {
		filterDiscounts(discounts.Discounts);

		return discounts.Discounts;
	}

	return [];
};
