import { create } from "zustand";
import { devtools } from "zustand/middleware";
import { CartData } from "@frontend/kitui";

interface CartStore {
	cartData: CartData | null;
}

const initialState: CartStore = {
	cartData: null,
};

export const useCartStore = create<CartStore>()(
	devtools((set, get) => initialState, {
		name: "Cart",
		enabled: process.env.NODE_ENV === "development",
	})
);

export const setCartData = (cartData: CartStore["cartData"]) => useCartStore.setState({ cartData });
