import { useEffect, useState } from "react";
import { getStatisticSchild } from "@root/api/quizStatistics";

import type { Moment } from "moment";

import type { QuizStatisticsItem } from "@root/api/quizStatistics/types";
import moment from "moment";

export const useSchildStatistics = (from: Moment | null, to: Moment | null) => {
	const formatTo = to?.unix();
	const formatFrom = from?.unix() || moment().unix() - 604800;
	const [statistics, setStatistics] = useState<QuizStatisticsItem[]>([]);

	useEffect(() => {
		const StatisticsShild = async () => {
			const [gottenData] = await getStatisticSchild(Number(formatFrom), Number(formatTo));

			if (gottenData) {
				setStatistics(gottenData);
			}
		};

		StatisticsShild();
	}, [formatTo, formatFrom]);

	return statistics;
};
